Subject: bug#583: Use XDG basedir spec for configuration files?

From: Glenn Morris <[email-masked]>
Date: Fri, 30 Aug 2019 12:18:40 -0400

Paul Eggert wrote:

>> BTW, I think the handling of user-emacs-directory is buggy:
>
> Yes, it is. I'll have to take a look at that. I guess we'll have to
> change user-home-directory to a variable, since we can't easily
> determine it until command-line runs.
>
> Also, a good many places in the documentaiton refer to ~/.emacs.d and
> these need to be updated.

IMO this means one should allow a user-defined user-emacs-directory,
which means un-wontfix'ing https://debbugs.gnu.org/15539 .
Maybe the patch in https://debbugs.gnu.org/15539#40 contains some useful ideas.
Although in hindsight an environment variable doesn't seem like the way
to go.